summaryrefslogtreecommitdiffstats
path: root/libraries/libisoburn
diff options
context:
space:
mode:
author Larry Hajali2010-05-12 23:30:32 +0200
committer Robby Workman2010-05-12 23:30:32 +0200
commit26f9e8fa97b3b03e2a7cc4f17dbc1492a6b54684 (patch)
tree1f9803bbd92fabc0dd0abaa10af4e6c94df35086 /libraries/libisoburn
parent81083e73aff3718f29c8d3c4f9cbef2a0bfe665b (diff)
downloadslackbuilds-26f9e8fa97b3b03e2a7cc4f17dbc1492a6b54684.tar.gz
libraries/libisoburn: Added to 12.2 repository
Diffstat (limited to 'libraries/libisoburn')
-rw-r--r--libraries/libisoburn/README11
-rw-r--r--libraries/libisoburn/libisoburn.SlackBuild75
-rw-r--r--libraries/libisoburn/libisoburn.info8
-rw-r--r--libraries/libisoburn/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/libraries/libisoburn/README b/libraries/libisoburn/README
new file mode 100644
index 0000000000..7db621ae44
--- /dev/null
+++ b/libraries/libisoburn/README
@@ -0,0 +1,11 @@
+libisoburn is a frontend for libraries libburn and libisofs which enables
+creation and expansion of ISO-9660 filesystems on all CD/DVD/BD media
+supported by libburn. This includes media like DVD+RW, which do not support
+multi-session management on media level and even plain disk files or block
+devices. The price for that is thorough specialization on data files in
+ISO-9660 filesystem images. So libisoburn is not suitable for audio (CD-DA)
+or any other CD layout which does not entirely consist of ISO-9660 sessions.
+There is a comand line and dialog application xorriso which allows to use
+large parts of libisoburn's feature set.
+
+Requirements: libisofs and libburn
diff --git a/libraries/libisoburn/libisoburn.SlackBuild b/libraries/libisoburn/libisoburn.SlackBuild
new file mode 100644
index 0000000000..bb7db9d323
--- /dev/null
+++ b/libraries/libisoburn/libisoburn.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for libisoburn
+
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com.
+
+PRGNAM=libisoburn
+VERSION=${VERSION:-0.3.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.pl00.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS CONTRIBUTORS COPYING COPYRIGHT INSTALL README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+mv xorriso/README $PKG/usr/doc/$PRGNAM-$VERSION/README.xorriso
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libisoburn/libisoburn.info b/libraries/libisoburn/libisoburn.info
new file mode 100644
index 0000000000..eb81a1244e
--- /dev/null
+++ b/libraries/libisoburn/libisoburn.info
@@ -0,0 +1,8 @@
+PRGNAM="libisoburn"
+VERSION="0.3.0"
+HOMEPAGE="http://libburnia-project.org/wiki/Libisoburn"
+DOWNLOAD="http://files.libburnia-project.org/releases/libisoburn-0.3.0.pl00.tar.gz"
+MD5SUM="3db196f932ae2ef50d82eb6c8f8a1548"
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
+APPROVED="rworkman"
diff --git a/libraries/libisoburn/slack-desc b/libraries/libisoburn/slack-desc
new file mode 100644
index 0000000000..e4829a4897
--- /dev/null
+++ b/libraries/libisoburn/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libisoburn: libisoburn (Frontend for libburn and libisofs)
+libisoburn:
+libisoburn: libisoburn is a frontend for libraries libburn and libisofs which
+libisoburn: enables creation and expansion of ISO-9660 filesystems on all
+libisoburn: CD/DVD/BD media supported by libburn. This includes media like DVD+RW,
+libisoburn: which do not support multi-session management on media level and even
+libisoburn: plain disk files or block devices. The price for that is thorough
+libisoburn: specialization on data files in ISO-9660 filesystem images.
+libisoburn:
+libisoburn: Homepage: http://libburnia-project.org/wiki/Libisoburn
+libisoburn: